using MediatR;
using Microsoft.AspNetCore.Mvc;
using Sledgemapper.Api.Handlers;
using Sledgemapper.Shared.Entities;
using System.Threading.Tasks;

namespace Sledgemapper.Api.Controllers
{
    [Route("tile")]
    public class TileController : ControllerBase
    {
        private readonly IMediator _mediator;

        public TileController(IMediator mediator) { _mediator = mediator; }

        [HttpPost]
        
        public async Task Post(string sessionName, Tile tile)
        {
            await _mediator.Publish(new NewTileNotification(sessionName, tile));
        }
    }
}